OVH Community, your new community space.

Actualizar de 8.6 a 9.0


Tousky
26/04/2011, 10:40
Hola xenomm!

Al final he tenido suerte porque ha sido más sencillo de lo que esperaba.

Como al final nos quedamos en que pude actualizar a la versión 9.5 pero el sistema no era estable, los sistemas de backup no iban correctamente asi que solo salve la configuración base de cada dominio, cuentas de correo y la información de las bases de datos creadas y sus usuarios ... bastante para lo que esperaba poder salvar.

Asi que lo que hize fue:

1º Descargar a mi ordenador todos los datos de los FTP.
2º Hacer una copia de seguridad de las bases de datos con el programa Navicat.
3º Hacer la copia de seguridad de los datos basicos con plesk (cuentas de correo, bases de datos y algun dato más de caracter solo constructivo dentro del dominio, sin datos fisicos en el servidor)

Despues pedi la reinstalación al Plesk 9.5 con CPanel como me sugeriste y listo, empece a subir todo lo que tenia almacenado sin problemas, este domingo lo deje todo funcionando.

gracias por todo espero con este post ayudar a alguien más
Tousky

xenomm
15/04/2011, 18:54
una pena....si hubieras actualizado a cpanel antes de subir el plesk, si que son los backups compatibles, pero en plesk nueve cambiaron la forma de los backups y, sino me equivoco, ya no lo son
si tienes copias de seguridad de justo antes de actualizar, aun estas a tiempo

Tousky
15/04/2011, 12:46
Hola santisaez!

He estado mirando la opcion de reinstalar el servidor como me comentaste en un momento ya que comandos como yum no me funcionan correctamente.

Veo que tengo la opción de actualizar a Plesk 9.5 con CentOS, pero tambien tengo la opcion de Cpanel 11 que he leido en el foro que la gente esta más contenta con él.

La cuestion es que todos los backup que tengo son para Plesk y he leido que no son compatibles con Cpanel. Aunque en algun sitio tambien he leido que CPanel tiene la opción de poder cargar los dominios que existan en el servidor, cosa que me parece un poco chapuza ya que los correos los perderia.

Por cual me puedo decantar? Esta claro que siempre sera mejor que un sistema del 2005 como el que tenia

TouskY

Tousky
13/04/2011, 15:49
Bueno santisaez!!!

Gracias por todo, ya tengo el servidor activo y todo operativo.
Una vez me dieron la licencia correcta fue cargarla y empezar a actualizar ya que no podia ver las paginas webs.

Es decir, habia modulos que estaban corruptos, pero con la actualización de plesk se me ha solucionado todo.

Ahora solo tengo que actualizar el php de la version 5.0 a 5.2 que es lo que estaba buscando desde un primer momento.

El comando despues de todo lo que he aprendido creo que es:
yum update php*

gracias por todo y nos vemos en otro post
Tousky

Tousky
13/04/2011, 09:24
Efectivamente vuelves a tener razon!

Ya me fije que la actualización no tenia todos los "succefull" que me hubiera gustado a mi.

De momento estoy esperando la licencia para mas de 30 alojamientos, porque solo me funciona el correo y al resto de cosas no puedo acceder.

Me han llegado unos correos un poco raros al mail del administrador:

The file clean-events.php is part of Plesk distribution. It cannot be run outside of Plesk environment.

The file pack-sysstats.php is part of Plesk distribution. It cannot be run outside of Plesk environment.

The file clean-sysstats.php is part of Plesk distribution. It cannot be run outside of Plesk environment.


Como bien dices, me queda mucho por poner al dia. Espero que al tener la licencia pueda actualizar las partes corruptas, y si no en Semana Santa me podre a ver como hacer los backup, pero no tiro la toalla!

Ya te contare
gracias

santisaez
13/04/2011, 07:46
Tousky, me alegro de que hayas solucionado el problema!

Aunque todavía te toca la parte mas complicada, poner al día esa Fedora Core 4

Saludos

Tousky
12/04/2011, 21:16
"" TEMA RESUELTO ""


Al final para poder instalar con el comando autoinstaller como me dijiste "santisaez" me traslade a la carpeta:

/usr/local/psa/bin/

y despues de ejecutar el comando por primera vez me decia que no podia instalar por no tener la nueva licencia, asi que segui mirando en foros y vi que mediante unos comandos podia realizar la instalación sin licencia, por lo que el comando exacto para hacerlo funcionar en mi caso ha sido:

/usr/local/psa/bin/autoinstaller --select-release-latest --upgrade-installed-components --ignore-key-errors

Despues de algunos errores en la actualización sali del modo rescue del servidor dedicado y ahora estoy a la espera de que OVH me proporcione la licencia para Plesk 9.5.4 que es la versión que me ha dejado meter.

Segun he leido la licencia la activan ellos de manera automatica, siguiente este hilo:
http://foros.ovh.es/showthread.php?t...licencia+plesk

santisaez muchas gracias por todo y espero verte mas a menudo por el foro porque intentare entrar para ayudar con los conocimientos que he cojido a lo largo de estos dias

Tousky

Tousky
12/04/2011, 19:09
Ya lo tengo casi, santisaez!

Resulta que hize lo ultimo que me dijiste del host y añadirlo con la que venian.

Ahora parece que me coje todos los datos de la instalación pero me dice que no tengo la licencia correcta, esta funcionando con la 8.6.
Yo ya pedi la licencia para la 9.0 y la tengo como fichero .REG en mi ordenador.

La subo al servidor pero como hago para que la carge el instalador.

gracias
Tousky

Tousky
12/04/2011, 18:51
Perfecto santisaez, empezare entonces!

Como puedo hacer el backup desde ssh de los datos que tengo en el servidor.
Al menos la primera piedrecita para buscar en foros.

gracias una vez mas
Tousky

santisaez
12/04/2011, 18:47
Para solucionar el problema con el hostname durante la actualización de Plesk añade una entrada al fichero /etc/hosts, ejemplo:

8.8.8.8 example.com
Donde "example.com" se corresponde con el hostname de tu máquina Linux (puedes obtenerlo ejecutando el comando "hostname") y 8.8.8.8 con la IP principal de salida.

Saludos,

santisaez
12/04/2011, 18:44
Fedora Core 4 es una distribución del 2005, su soporte posiblemente acabaría en el año 2006-2007.. por eso te está fallando Yum

Creo que vas a tener muy complicado pasar de Fedora-4 a Fedora-14, quizás puedas recuperar algún paquete apuntando los repositorios al Vault, pero lo lógico ante esta situación sería hacer un backup de los alojamientos con las herramientas de Plesk, re-instalar el servidor con una distribución mas reciente (te recomiendo CentOS en lugar de Fedora) y restaurar los backups..

Saludos,

Tousky
12/04/2011, 18:44
Al ejecutar el comando "autoinstaller", me da el siguiente error:

Your hostname must resolve to the correct IP address of your server, unless you are using network address translation (NAT).

Please, quit auto-installer and fix host name resolution problem
and then try installing again.
You can skip the hostname check and continue the installation, however,
in such a case the installer cannot guarantee successful installation.
Do you want to continue?


Cuando le doy a continuar sale de la instalación.
Ya no se por donde seguir

gracias por el interes
Tousky

Tousky
12/04/2011, 18:38
Hola santisaez!

El sistema que tengo es Fedora Core release 4 (Stentz)

Te cuento mi evolución ...

Investigando el error, he visto que podia ser por una mala versión de Yum, por lo que lo primero que hice es desinstalarlo con el comando y he bajado la ultima versión, ya no me da el error de antes pero sigo sin solucionar el problema original.

Estoy buscando información del comando autoinstaller. La ruta y los comandandos que debo usar.

Algun dato mas que deba saber
gracias

santisaez
12/04/2011, 17:15
Tousky, Yum te permite gestionar los paquetes de S.O., pero no tiene ninguna relación con la actualización del panel de control Plesk (aunque es posible actualizar Plesk desde Yum, no es una configuración por defecto).

Para actualizar CentOS/Fedora tienes que utilizar Yum, pero para actualizar Plesk tienes que utilizar la herramienta "autoinstaller" de Parallels.

El error que te muestra Yum te está indicando que no existe ningún servidor para el repositorio con nombre "updates-released", algo realmente extraño.. ¿estás utilizando Fedora o CentOS?

Saludos,

Tousky
12/04/2011, 16:53
Hola de nuevo!

Al final he estado mirandome el comando Yum que es muy interesante
http://www.linuxtotal.com.mx/index.p...info_admon_020

Ahora me da el error:
Cannot find a valid baseurl for repo: updates-released
Error: Cannot find a valid baseurl for repo: updates-released

Tambien he mirado esto y encontre alguna solución pero que no me ha funcionado editando el archivo /etc/yum.conf

Alguna idea de como poder reparar el comando Yum para poder asi actualizar el plesk

gracias
TouskY

Tousky
12/04/2011, 14:55
Hola santisaez!!!!

Se me saltan las lagrimas, jejeje, muchas gracias por tu respuesta, me has abierto los ojos a cosas que aun no habia entendido, como la independencia entre sistema y plesk y datos.

Voy a probar todo lo que me dices y os pondré el resultado para poder ayudar a quien este en mi misma situación.

Para conectarme al servidor por ssh estoy usando el programa Putty aunque mi servidor dedicado kimsufi.com se esta resistiendo un poco. Voy a seguir con los manuales para no meter la pata con los comandos.

gracias otra vez
Tousky

santisaez
12/04/2011, 13:26
Hola Tousky,

Una de las cosas buenas de Plesk es que los datos de clientes están separados del software y del sistema operativo.

Por defecto, cuando borras Plesk los datos de clientes (webs, correo, etc.) así como la configuración del panel de control en la base de datos "psa" de MySQL se mantienen, no se borran.

En tu caso en concreto, yo probaría a bajar el último Autoinstaller para Plesk desde la web de Parallels y trataría actualizar a la versión 9.5.4, es muy probable que esto te solucione el problema.

De no ser así, antes de re-instalar por completo el servidor yo probaría a borrar Plesk y volver a instalarlo, para ello tienes que borrar todos los paquetes que instala Plesk:

Código:
yum remove psa psa-*
Por dependencias Yum te borrará todos los servicios, Apache, MySQL, etc.. luego el "autoinstaller" te los volverá a instalar manteniendo las configuraciones.

Saludos,

Tousky
12/04/2011, 12:06
Hola PacoSS!

Muchas gracias por tu rapida respuesta, efectivamente hay algun dato al respecto en google, con el primer enlace que me pasas no pude hacer nada ya que tengo la versión de Linux, se me olvido ponerlo en el post.

Con respecto al otro enlace he visto que la solución final que dan es volver a re-instalar el servidor, esto me gustaria dejarlo como ultima opción ya que tendria que ver como poder hacer el backup desde la consola para poder asi no perder todos los datos.

Existe alguna manera de instalar el plesk o de recuperar la versión anterior.
Tambien entre por el modo rescue que tiene el servidor y no he sido capaz de hacerlo funcionar para añadir los comandos a la consola de linux.

Se te ocurre alguna cosa PacoSS.
gracias de nuevo

PacoSS
12/04/2011, 09:13
Googleando un poco:

http://kb.parallels.com/en/1339

http://serversupportforum.de/forum/p...plesk-9-a.html

Tousky
11/04/2011, 18:59
Hola!

Ante todo es un orgullo poder colaborar en este foto tanto para solucionar el problema como si alguien mas a tenido este problema y se puede beneficiar de la duda.

El tema es que tenemos un servidor dedicado con Plesk y lo hemos actualizado de la versión 8.0 a la 8.6 hace unos dias y ayer actualizamos a la 9.0.

Resulta que cuando intentamos acceder por el panel de control me da el siguiente mensaje de error despues de meter el usuario y clave:

#!/usr/local/psa/admin/bin/php The file loger.php is part of Plesk distribution. It cannot be run outside of Plesk environment.

En un primer momento pense que era de la licencia, ya que sabia que necesitaba una nueva para la versión 9, pero despues de confirmar que ya tenemos la nueva seguimos teniendo el problema.

Alguien me podria decir si ha tenido el mismo problema y si es posible solucionarlo sin reinstalar todo el servidor.

muchas gracias
Tousky